aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2009-03-18 14:48:42 +0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2009-03-18 14:48:42 +0000
commitc183ee5c79dd356262c3d7c31e3aace09045671f (patch)
treeb137abedbac6bdc12022c219eeeb3990cc88ccc9 /tests
parent1dcf208f562d853909ad53772c208dcb2a73de88 (diff)
* Acquire the locks on the output paths before trying to run the build
hook. This fixes a problem with log files being partially or completely filled with 0's because another nix-store process truncates the log file. It should also be more efficient.
Diffstat (limited to 'tests')
-rw-r--r--tests/dependencies.sh4
-rw-r--r--tests/gc-concurrent.sh6
-rw-r--r--tests/parallel.sh2
3 files changed, 7 insertions, 5 deletions
diff --git a/tests/dependencies.sh b/tests/dependencies.sh
index 440b6fae0..46f60c9bd 100644
--- a/tests/dependencies.sh
+++ b/tests/dependencies.sh
@@ -1,5 +1,7 @@
source common.sh
+clearStore
+
drvPath=$($nixinstantiate dependencies.nix)
echo "derivation is $drvPath"
@@ -13,7 +15,7 @@ if test -n "$dot"; then
$dot < $TEST_ROOT/graph
fi
-outPath=$($nixstore -rvv "$drvPath")
+outPath=$($nixstore -rvv "$drvPath") || fail "build failed"
# Test Graphviz graph generation.
$nixstore -q --graph "$outPath" > $TEST_ROOT/graph
diff --git a/tests/gc-concurrent.sh b/tests/gc-concurrent.sh
index 8ae511e4f..aee07bc57 100644
--- a/tests/gc-concurrent.sh
+++ b/tests/gc-concurrent.sh
@@ -1,6 +1,6 @@
source common.sh
-$NIX_BIN_DIR/nix-collect-garbage -vvvvv
+$NIX_BIN_DIR/nix-collect-garbage
drvPath1=$($nixinstantiate gc-concurrent.nix -A test1)
outPath1=$($nixstore -q $drvPath1)
@@ -28,7 +28,7 @@ pid2=$!
# Run the garbage collector while the build is running.
sleep 4
-$NIX_BIN_DIR/nix-collect-garbage -vvvvv
+$NIX_BIN_DIR/nix-collect-garbage
# Wait for build #1/#2 to finish.
echo waiting for pid $pid1 to finish...
@@ -53,6 +53,6 @@ rm -f "$NIX_STATE_DIR"/gcroots/foo*
! test -e $outPath3.lock
# If we run the collector now, it should delete outPath1/2.
-$NIX_BIN_DIR/nix-collect-garbage -vvvvv
+$NIX_BIN_DIR/nix-collect-garbage
! test -e $outPath1
! test -e $outPath2
diff --git a/tests/parallel.sh b/tests/parallel.sh
index 577e794bf..c41a28b1a 100644
--- a/tests/parallel.sh
+++ b/tests/parallel.sh
@@ -2,7 +2,7 @@ source common.sh
clearStore
-outPath=$($nixbuild -vv -j10000 parallel.nix)
+outPath=$($nixbuild -j10000 parallel.nix)
echo "output path is $outPath"